Skip to main content
GET

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer<int32>
default:1

Page number of the results to be returned, 1-based.

Required range: 1 <= x <= 100
limit
integer<int32>
default:10

A limit on the number of results to be returned, or number of results per page, between 1 and 100, defaults to 10.

Required range: 1 <= x <= 100
includeTotal
boolean
default:false

Return results inside an object that contains the total result count or not.

pageAfter
string

A cursor to fetch the next page in cursor pagination. For example, if you make a list request, receive 100 objects and cursor.after=id:foo, your subsequent call can include pageAfter=id:foo in order to fetch the next page of the list.

Example:

"id:foo"

filter.customer
string

The customer who has opted out.

Example:

"+16315551111"

filter.channel
enum<string>

Channel of unsubscriber.

  • whatsapp: Indicates that the customer opts out of receiving WhatsApp messages from your business.
Available options:
whatsapp
filter.regionCode
string

Region code, formatted in ISO 3166-1 alpha-2 country code.

Response

200 - application/json

Successfully retrieved a paginated list of objects.

Represents a given page of unsubscriber objects.

offset
integer<int32>
required

The position of the item this page starts from, zero-based. e.g., the 11th item is at offset 10.

Required range: x >= 0
limit
integer<int32>
required

A limit on the number of items to be returned, between 1 and 100, defaults to 10.

Required range: x >= 1
length
integer<int32>
required

The actual number of items in the page.

Required range: x >= 0
total
integer<int32>

The total number of items. This field is returned only when the request parameter includeTotal is set to true.

Required range: x >= 0
items
object[]

An array containing unsubscriber objects.

cursor
object

A cursor object is returned only if the endpoint you requested supports cursor pagination.